summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorColleen Murphy <colleen@gazlene.net>2017-06-11 19:50:30 +0200
committerColleen Murphy <colleen@gazlene.net>2017-06-11 19:50:30 +0200
commit9314b243807471383f121b85ffa00544ec8c27bd (patch)
tree7054aef5421d5c29865f4cf248c7a775562caf5d
parent8fa18ba136c2730a4c1c68887409a8ea64b6c881 (diff)
Update Gemfile
Use the common spec helper gem instead of managing every gem individually. This will keep the linter gems up to date and unbreak the linter job. Change-Id: I0034055dd172c23366ab5ba37b5b5174647e4f81
Notes
Notes (review): Code-Review+2: Ian Wienand <iwienand@redhat.com> Code-Review+2: Clark Boylan <cboylan@sapwetik.org> Workflow+1: Clark Boylan <cboylan@sapwetik.org> Verified+2: Jenkins Submitted-by: Jenkins Submitted-at: Tue, 13 Jun 2017 22:09:41 +0000 Reviewed-on: https://review.openstack.org/473116 Project: openstack-infra/puppet-httpd Branch: refs/heads/master
-rw-r--r--Gemfile35
1 files changed, 4 insertions, 31 deletions
diff --git a/Gemfile b/Gemfile
index 4d6f71a..e350f81 100644
--- a/Gemfile
+++ b/Gemfile
@@ -1,36 +1,9 @@
1source 'https://rubygems.org' 1source 'https://rubygems.org'
2 2
3group :development, :test do 3group :development, :test, :system_tests do
4 gem 'puppetlabs_spec_helper', :require => false 4 gem 'puppet-openstack_infra_spec_helper',
5 5 :git => 'https://git.openstack.org/openstack-infra/puppet-openstack_infra_spec_helper',
6 # Pin google-api-client after it released a ruby 2.0 only version 6 :require => false
7 gem 'google-api-client', '0.9.4'
8
9 gem 'metadata-json-lint'
10 # This is nice and all, but let's not worry about it until we've actually
11 # got puppet 4.x sorted
12 # gem 'puppet-lint-param-docs'
13 gem 'puppet-lint-absolute_classname-check'
14 gem 'puppet-lint-absolute_template_path'
15 gem 'puppet-lint-trailing_newline-check'
16
17 # Puppet 4.x related lint checks
18 gem 'puppet-lint-unquoted_string-check'
19 gem 'puppet-lint-empty_string-check'
20 gem 'puppet-lint-leading_zero-check'
21 gem 'puppet-lint-variable_contains_upcase'
22 gem 'puppet-lint-spaceship_operator_without_tag-check'
23 gem 'puppet-lint-undef_in_function-check'
24
25 if puppetversion = ENV['PUPPET_GEM_VERSION']
26 gem 'puppet', puppetversion, :require => false
27 else
28 gem 'puppet', '~> 3.0', :require => false
29 end
30end
31
32group :system_tests do
33 gem 'beaker-rspec', :require => false
34end 7end
35 8
36# vim:ft=ruby 9# vim:ft=ruby